View Issue Details

This bug affects 1 person(s).
 12
IDProjectCategoryView StatusLast Update
17734Bug reportsOtherpublic2021-12-01 09:28
Reporterscene143 Assigned Togabrieljenik  
PriorityurgentSeverityminor 
Status closedResolutionfixed 
Product Version5.2.x 
Summary17734: Unable to use quote inside relevance of subquestion
DescriptionIt seems Editor has some bug.

I am trying to paste this simple formula Q1_SQ001=='Y' OR Q2_SQ001=='Y' OR Q3_SQ001=='Y' but it's not working and once i save and reopen the question relevence equation formula is disappeared. I am trying to filter Q1/Q2/Q3 those selected to show Q4

Attached is survey FYR you can check Q4>SUBQUESTION>RELEVENCE EQUATION
Steps To ReproduceSteps to reproduce
------------------------------
(Replace this text with detailed step-by-step instructions on how to reproduce the issue)

Expected result
-------------------------
(Write here what you expected to happen)

Actual result
-----------------
(Write here what happened instead)

TagsNo tags attached.
Bug heat12
Complete LimeSurvey version number (& build)5.2.x
I will donate to the project if issue is resolved
Browser
Database type & version
Server OS (if known)
Webserver software & version (if known)
PHP Version

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

scene143

scene143

2021-11-18 02:13

reporter  

limesurvey_survey_271294 (1).lss (48,199 bytes)   
<?xml version="1.0" encoding="UTF-8"?>
<document>
 <LimeSurveyDocType>Survey</LimeSurveyDocType>
 <DBVersion>477</DBVersion>
 <languages>
  <language>en</language>
 </languages>
 <groups>
  <fields>
   <fieldname>gid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>group_order</fieldname>
   <fieldname>randomization_group</fieldname>
   <fieldname>grelevance</fieldname>
  </fields>
  <rows>
   <row>
    <gid><![CDATA[203]]></gid>
    <sid><![CDATA[271294]]></sid>
    <group_order><![CDATA[0]]></group_order>
    <randomization_group/>
    <grelevance/>
   </row>
  </rows>
 </groups>
 <group_l10ns>
  <fields>
   <fieldname>id</fieldname>
   <fieldname>gid</fieldname>
   <fieldname>group_name</fieldname>
   <fieldname>description</fieldname>
   <fieldname>language</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>group_order</fieldname>
   <fieldname>randomization_group</fieldname>
   <fieldname>grelevance</fieldname>
  </fields>
  <rows>
   <row>
    <id><![CDATA[266]]></id>
    <gid><![CDATA[203]]></gid>
    <group_name><![CDATA[xxx]]></group_name>
    <description/>
    <language><![CDATA[en]]></language>
    <sid><![CDATA[271294]]></sid>
    <group_order><![CDATA[0]]></group_order>
    <randomization_group/>
    <grelevance/>
   </row>
  </rows>
 </group_l10ns>
 <questions>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>parent_qid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>gid</fieldname>
   <fieldname>type</fieldname>
   <fieldname>title</fieldname>
   <fieldname>preg</fieldname>
   <fieldname>other</fieldname>
   <fieldname>mandatory</fieldname>
   <fieldname>question_order</fieldname>
   <fieldname>scale_id</fieldname>
   <fieldname>same_default</fieldname>
   <fieldname>relevance</fieldname>
   <fieldname>modulename</fieldname>
   <fieldname>encrypted</fieldname>
   <fieldname>question_theme_name</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[8402]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[271294]]></sid>
    <gid><![CDATA[203]]></gid>
    <type><![CDATA[M]]></type>
    <title><![CDATA[Q1]]></title>
    <other><![CDATA[Y]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[1]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <modulename/>
    <encrypted><![CDATA[N]]></encrypted>
    <question_theme_name><![CDATA[multiplechoice]]></question_theme_name>
   </row>
   <row>
    <qid><![CDATA[8408]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[271294]]></sid>
    <gid><![CDATA[203]]></gid>
    <type><![CDATA[M]]></type>
    <title><![CDATA[Q2]]></title>
    <other><![CDATA[Y]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[2]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <modulename/>
    <encrypted><![CDATA[N]]></encrypted>
    <question_theme_name><![CDATA[multiplechoice]]></question_theme_name>
   </row>
   <row>
    <qid><![CDATA[8414]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[271294]]></sid>
    <gid><![CDATA[203]]></gid>
    <type><![CDATA[M]]></type>
    <title><![CDATA[Q3]]></title>
    <other><![CDATA[Y]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[3]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <modulename/>
    <encrypted><![CDATA[N]]></encrypted>
    <question_theme_name><![CDATA[multiplechoice]]></question_theme_name>
   </row>
   <row>
    <qid><![CDATA[8420]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[271294]]></sid>
    <gid><![CDATA[203]]></gid>
    <type><![CDATA[M]]></type>
    <title><![CDATA[Q4]]></title>
    <other><![CDATA[Y]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[4]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <modulename/>
    <encrypted><![CDATA[N]]></encrypted>
    <question_theme_name><![CDATA[multiplechoice]]></question_theme_name>
   </row>
  </rows>
 </questions>
 <subquestions>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>parent_qid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>gid</fieldname>
   <fieldname>type</fieldname>
   <fieldname>title</fieldname>
   <fieldname>preg</fieldname>
   <fieldname>other</fieldname>
   <fieldname>mandatory</fieldname>
   <fieldname>question_order</fieldname>
   <fieldname>scale_id</fieldname>
   <fieldname>same_default</fieldname>
   <fieldname>relevance</fieldname>
   <fieldname>modulename</fieldname>
   <fieldname>encrypted</fieldname>
   <fieldname>question_theme_name</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[8403]]></qid>
    <parent_qid><![CDATA[8402]]></parent_qid>
    <sid><![CDATA[271294]]></sid>
    <gid><![CDATA[203]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ001]]></title>
    <other><![CDATA[N]]></other>
    <question_order><![CDATA[0]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <encrypted><![CDATA[N]]></encrypted>
   </row>
   <row>
    <qid><![CDATA[8404]]></qid>
    <parent_qid><![CDATA[8402]]></parent_qid>
    <sid><![CDATA[271294]]></sid>
    <gid><![CDATA[203]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ002]]></title>
    <other><![CDATA[N]]></other>
    <question_order><![CDATA[1]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <encrypted><![CDATA[N]]></encrypted>
   </row>
   <row>
    <qid><![CDATA[8405]]></qid>
    <parent_qid><![CDATA[8402]]></parent_qid>
    <sid><![CDATA[271294]]></sid>
    <gid><![CDATA[203]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ003]]></title>
    <other><![CDATA[N]]></other>
    <question_order><![CDATA[2]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <encrypted><![CDATA[N]]></encrypted>
   </row>
   <row>
    <qid><![CDATA[8406]]></qid>
    <parent_qid><![CDATA[8402]]></parent_qid>
    <sid><![CDATA[271294]]></sid>
    <gid><![CDATA[203]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ004]]></title>
    <other><![CDATA[N]]></other>
    <question_order><![CDATA[3]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <encrypted><![CDATA[N]]></encrypted>
   </row>
   <row>
    <qid><![CDATA[8407]]></qid>
    <parent_qid><![CDATA[8402]]></parent_qid>
    <sid><![CDATA[271294]]></sid>
    <gid><![CDATA[203]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ005]]></title>
    <other><![CDATA[N]]></other>
    <question_order><![CDATA[4]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <encrypted><![CDATA[N]]></encrypted>
   </row>
   <row>
    <qid><![CDATA[8409]]></qid>
    <parent_qid><![CDATA[8408]]></parent_qid>
    <sid><![CDATA[271294]]></sid>
    <gid><![CDATA[203]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ001]]></title>
    <other><![CDATA[N]]></other>
    <question_order><![CDATA[0]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <encrypted><![CDATA[N]]></encrypted>
    <question_theme_name><![CDATA[longfreetext]]></question_theme_name>
   </row>
   <row>
    <qid><![CDATA[8410]]></qid>
    <parent_qid><![CDATA[8408]]></parent_qid>
    <sid><![CDATA[271294]]></sid>
    <gid><![CDATA[203]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ002]]></title>
    <other><![CDATA[N]]></other>
    <question_order><![CDATA[1]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <encrypted><![CDATA[N]]></encrypted>
    <question_theme_name><![CDATA[longfreetext]]></question_theme_name>
   </row>
   <row>
    <qid><![CDATA[8411]]></qid>
    <parent_qid><![CDATA[8408]]></parent_qid>
    <sid><![CDATA[271294]]></sid>
    <gid><![CDATA[203]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ003]]></title>
    <other><![CDATA[N]]></other>
    <question_order><![CDATA[2]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <encrypted><![CDATA[N]]></encrypted>
    <question_theme_name><![CDATA[longfreetext]]></question_theme_name>
   </row>
   <row>
    <qid><![CDATA[8412]]></qid>
    <parent_qid><![CDATA[8408]]></parent_qid>
    <sid><![CDATA[271294]]></sid>
    <gid><![CDATA[203]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ004]]></title>
    <other><![CDATA[N]]></other>
    <question_order><![CDATA[3]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <encrypted><![CDATA[N]]></encrypted>
    <question_theme_name><![CDATA[longfreetext]]></question_theme_name>
   </row>
   <row>
    <qid><![CDATA[8413]]></qid>
    <parent_qid><![CDATA[8408]]></parent_qid>
    <sid><![CDATA[271294]]></sid>
    <gid><![CDATA[203]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ005]]></title>
    <other><![CDATA[N]]></other>
    <question_order><![CDATA[4]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <encrypted><![CDATA[N]]></encrypted>
    <question_theme_name><![CDATA[longfreetext]]></question_theme_name>
   </row>
   <row>
    <qid><![CDATA[8415]]></qid>
    <parent_qid><![CDATA[8414]]></parent_qid>
    <sid><![CDATA[271294]]></sid>
    <gid><![CDATA[203]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ001]]></title>
    <other><![CDATA[N]]></other>
    <question_order><![CDATA[0]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <encrypted><![CDATA[N]]></encrypted>
    <question_theme_name><![CDATA[longfreetext]]></question_theme_name>
   </row>
   <row>
    <qid><![CDATA[8416]]></qid>
    <parent_qid><![CDATA[8414]]></parent_qid>
    <sid><![CDATA[271294]]></sid>
    <gid><![CDATA[203]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ002]]></title>
    <other><![CDATA[N]]></other>
    <question_order><![CDATA[1]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <encrypted><![CDATA[N]]></encrypted>
    <question_theme_name><![CDATA[longfreetext]]></question_theme_name>
   </row>
   <row>
    <qid><![CDATA[8417]]></qid>
    <parent_qid><![CDATA[8414]]></parent_qid>
    <sid><![CDATA[271294]]></sid>
    <gid><![CDATA[203]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ003]]></title>
    <other><![CDATA[N]]></other>
    <question_order><![CDATA[2]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <encrypted><![CDATA[N]]></encrypted>
    <question_theme_name><![CDATA[longfreetext]]></question_theme_name>
   </row>
   <row>
    <qid><![CDATA[8418]]></qid>
    <parent_qid><![CDATA[8414]]></parent_qid>
    <sid><![CDATA[271294]]></sid>
    <gid><![CDATA[203]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ004]]></title>
    <other><![CDATA[N]]></other>
    <question_order><![CDATA[3]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <encrypted><![CDATA[N]]></encrypted>
    <question_theme_name><![CDATA[longfreetext]]></question_theme_name>
   </row>
   <row>
    <qid><![CDATA[8419]]></qid>
    <parent_qid><![CDATA[8414]]></parent_qid>
    <sid><![CDATA[271294]]></sid>
    <gid><![CDATA[203]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ005]]></title>
    <other><![CDATA[N]]></other>
    <question_order><![CDATA[4]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <encrypted><![CDATA[N]]></encrypted>
    <question_theme_name><![CDATA[longfreetext]]></question_theme_name>
   </row>
   <row>
    <qid><![CDATA[8431]]></qid>
    <parent_qid><![CDATA[8420]]></parent_qid>
    <sid><![CDATA[271294]]></sid>
    <gid><![CDATA[203]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ001]]></title>
    <other><![CDATA[N]]></other>
    <question_order><![CDATA[0]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[Q1_SQ001=='Y' OR Q2_SQ001=='Y' OR Q3_SQ001=='Y']]></relevance>
    <encrypted><![CDATA[N]]></encrypted>
   </row>
   <row>
    <qid><![CDATA[8432]]></qid>
    <parent_qid><![CDATA[8420]]></parent_qid>
    <sid><![CDATA[271294]]></sid>
    <gid><![CDATA[203]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ002]]></title>
    <other><![CDATA[N]]></other>
    <question_order><![CDATA[1]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[Q1_SQ002=='Y' OR Q2_SQ002=='Y' OR Q3_SQ002=='Y']]></relevance>
    <encrypted><![CDATA[N]]></encrypted>
   </row>
   <row>
    <qid><![CDATA[8433]]></qid>
    <parent_qid><![CDATA[8420]]></parent_qid>
    <sid><![CDATA[271294]]></sid>
    <gid><![CDATA[203]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ003]]></title>
    <other><![CDATA[N]]></other>
    <question_order><![CDATA[2]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[Q1_SQ003=='Y' OR Q2_SQ003=='Y' OR Q3_SQ003=='Y']]></relevance>
    <encrypted><![CDATA[N]]></encrypted>
   </row>
   <row>
    <qid><![CDATA[8434]]></qid>
    <parent_qid><![CDATA[8420]]></parent_qid>
    <sid><![CDATA[271294]]></sid>
    <gid><![CDATA[203]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ004]]></title>
    <other><![CDATA[N]]></other>
    <question_order><![CDATA[3]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <encrypted><![CDATA[N]]></encrypted>
   </row>
   <row>
    <qid><![CDATA[8435]]></qid>
    <parent_qid><![CDATA[8420]]></parent_qid>
    <sid><![CDATA[271294]]></sid>
    <gid><![CDATA[203]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ005]]></title>
    <other><![CDATA[N]]></other>
    <question_order><![CDATA[4]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <encrypted><![CDATA[N]]></encrypted>
   </row>
  </rows>
 </subquestions>
 <question_l10ns>
  <fields>
   <fieldname>id</fieldname>
   <fieldname>qid</fieldname>
   <fieldname>question</fieldname>
   <fieldname>help</fieldname>
   <fieldname>language</fieldname>
   <fieldname>script</fieldname>
  </fields>
  <rows>
   <row>
    <id><![CDATA[11369]]></id>
    <qid><![CDATA[8402]]></qid>
    <question><![CDATA[Q1]]></question>
    <help/>
    <language><![CDATA[en]]></language>
    <script/>
   </row>
   <row>
    <id><![CDATA[11370]]></id>
    <qid><![CDATA[8403]]></qid>
    <question><![CDATA[Code 1]]></question>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[11371]]></id>
    <qid><![CDATA[8404]]></qid>
    <question><![CDATA[Code 2]]></question>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[11372]]></id>
    <qid><![CDATA[8405]]></qid>
    <question><![CDATA[Code 3]]></question>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[11373]]></id>
    <qid><![CDATA[8406]]></qid>
    <question><![CDATA[Code 4]]></question>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[11374]]></id>
    <qid><![CDATA[8407]]></qid>
    <question><![CDATA[Code 5]]></question>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[11375]]></id>
    <qid><![CDATA[8408]]></qid>
    <question><![CDATA[Q1]]></question>
    <help/>
    <language><![CDATA[en]]></language>
    <script/>
   </row>
   <row>
    <id><![CDATA[11376]]></id>
    <qid><![CDATA[8409]]></qid>
    <question><![CDATA[Code 1]]></question>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[11377]]></id>
    <qid><![CDATA[8410]]></qid>
    <question><![CDATA[Code 2]]></question>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[11378]]></id>
    <qid><![CDATA[8411]]></qid>
    <question><![CDATA[Code 3]]></question>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[11379]]></id>
    <qid><![CDATA[8412]]></qid>
    <question><![CDATA[Code 4]]></question>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[11380]]></id>
    <qid><![CDATA[8413]]></qid>
    <question><![CDATA[Code 5]]></question>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[11381]]></id>
    <qid><![CDATA[8414]]></qid>
    <question><![CDATA[Q3]]></question>
    <help/>
    <language><![CDATA[en]]></language>
    <script/>
   </row>
   <row>
    <id><![CDATA[11382]]></id>
    <qid><![CDATA[8415]]></qid>
    <question><![CDATA[Code 1]]></question>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[11383]]></id>
    <qid><![CDATA[8416]]></qid>
    <question><![CDATA[Code 2]]></question>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[11384]]></id>
    <qid><![CDATA[8417]]></qid>
    <question><![CDATA[Code 3]]></question>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[11385]]></id>
    <qid><![CDATA[8418]]></qid>
    <question><![CDATA[Code 4]]></question>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[11386]]></id>
    <qid><![CDATA[8419]]></qid>
    <question><![CDATA[Code 5]]></question>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[11387]]></id>
    <qid><![CDATA[8420]]></qid>
    <question><![CDATA[Q4]]></question>
    <help/>
    <language><![CDATA[en]]></language>
    <script/>
   </row>
   <row>
    <id><![CDATA[11398]]></id>
    <qid><![CDATA[8431]]></qid>
    <question><![CDATA[Code 1]]></question>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[11399]]></id>
    <qid><![CDATA[8432]]></qid>
    <question><![CDATA[Code 2]]></question>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[11400]]></id>
    <qid><![CDATA[8433]]></qid>
    <question><![CDATA[Code 3]]></question>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[11401]]></id>
    <qid><![CDATA[8434]]></qid>
    <question><![CDATA[Code 4]]></question>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[11402]]></id>
    <qid><![CDATA[8435]]></qid>
    <question><![CDATA[Code 5]]></question>
    <language><![CDATA[en]]></language>
   </row>
  </rows>
 </question_l10ns>
 <question_attributes>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>attribute</fieldname>
   <fieldname>value</fieldname>
   <fieldname>language</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[8402]]></qid>
    <attribute><![CDATA[array_filter]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8402]]></qid>
    <attribute><![CDATA[array_filter_exclude]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8402]]></qid>
    <attribute><![CDATA[array_filter_style]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8402]]></qid>
    <attribute><![CDATA[assessment_value]]></attribute>
    <value><![CDATA[1]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8402]]></qid>
    <attribute><![CDATA[clear_default]]></attribute>
    <value><![CDATA[N]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8402]]></qid>
    <attribute><![CDATA[cssclass]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8402]]></qid>
    <attribute><![CDATA[display_columns]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8402]]></qid>
    <attribute><![CDATA[em_validation_q]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8402]]></qid>
    <attribute><![CDATA[em_validation_q_tip]]></attribute>
    <value/>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <qid><![CDATA[8402]]></qid>
    <attribute><![CDATA[exclude_all_others]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8402]]></qid>
    <attribute><![CDATA[exclude_all_others_auto]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8402]]></qid>
    <attribute><![CDATA[hidden]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8402]]></qid>
    <attribute><![CDATA[hide_tip]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8402]]></qid>
    <attribute><![CDATA[input_size]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8402]]></qid>
    <attribute><![CDATA[max_answers]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8402]]></qid>
    <attribute><![CDATA[min_answers]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8402]]></qid>
    <attribute><![CDATA[other_numbers_only]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8402]]></qid>
    <attribute><![CDATA[other_replace_text]]></attribute>
    <value/>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <qid><![CDATA[8402]]></qid>
    <attribute><![CDATA[page_break]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8402]]></qid>
    <attribute><![CDATA[printable_help]]></attribute>
    <value/>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <qid><![CDATA[8402]]></qid>
    <attribute><![CDATA[public_statistics]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8402]]></qid>
    <attribute><![CDATA[random_group]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8402]]></qid>
    <attribute><![CDATA[random_order]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8402]]></qid>
    <attribute><![CDATA[save_as_default]]></attribute>
    <value><![CDATA[Y]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8402]]></qid>
    <attribute><![CDATA[scale_export]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8402]]></qid>
    <attribute><![CDATA[statistics_graphtype]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8402]]></qid>
    <attribute><![CDATA[statistics_showgraph]]></attribute>
    <value><![CDATA[1]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8408]]></qid>
    <attribute><![CDATA[array_filter]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8408]]></qid>
    <attribute><![CDATA[array_filter_exclude]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8408]]></qid>
    <attribute><![CDATA[array_filter_style]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8408]]></qid>
    <attribute><![CDATA[assessment_value]]></attribute>
    <value><![CDATA[1]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8408]]></qid>
    <attribute><![CDATA[clear_default]]></attribute>
    <value><![CDATA[N]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8408]]></qid>
    <attribute><![CDATA[cssclass]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8408]]></qid>
    <attribute><![CDATA[display_columns]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8408]]></qid>
    <attribute><![CDATA[em_validation_q]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8408]]></qid>
    <attribute><![CDATA[em_validation_q_tip]]></attribute>
    <value/>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <qid><![CDATA[8408]]></qid>
    <attribute><![CDATA[exclude_all_others]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8408]]></qid>
    <attribute><![CDATA[exclude_all_others_auto]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8408]]></qid>
    <attribute><![CDATA[hidden]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8408]]></qid>
    <attribute><![CDATA[hide_tip]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8408]]></qid>
    <attribute><![CDATA[input_size]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8408]]></qid>
    <attribute><![CDATA[max_answers]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8408]]></qid>
    <attribute><![CDATA[min_answers]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8408]]></qid>
    <attribute><![CDATA[other_numbers_only]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8408]]></qid>
    <attribute><![CDATA[other_replace_text]]></attribute>
    <value/>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <qid><![CDATA[8408]]></qid>
    <attribute><![CDATA[page_break]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8408]]></qid>
    <attribute><![CDATA[printable_help]]></attribute>
    <value/>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <qid><![CDATA[8408]]></qid>
    <attribute><![CDATA[public_statistics]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8408]]></qid>
    <attribute><![CDATA[random_group]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8408]]></qid>
    <attribute><![CDATA[random_order]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8408]]></qid>
    <attribute><![CDATA[save_as_default]]></attribute>
    <value><![CDATA[Y]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8408]]></qid>
    <attribute><![CDATA[scale_export]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8408]]></qid>
    <attribute><![CDATA[statistics_graphtype]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8408]]></qid>
    <attribute><![CDATA[statistics_showgraph]]></attribute>
    <value><![CDATA[1]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8414]]></qid>
    <attribute><![CDATA[array_filter]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8414]]></qid>
    <attribute><![CDATA[array_filter_exclude]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8414]]></qid>
    <attribute><![CDATA[array_filter_style]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8414]]></qid>
    <attribute><![CDATA[assessment_value]]></attribute>
    <value><![CDATA[1]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8414]]></qid>
    <attribute><![CDATA[clear_default]]></attribute>
    <value><![CDATA[N]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8414]]></qid>
    <attribute><![CDATA[cssclass]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8414]]></qid>
    <attribute><![CDATA[display_columns]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8414]]></qid>
    <attribute><![CDATA[em_validation_q]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8414]]></qid>
    <attribute><![CDATA[em_validation_q_tip]]></attribute>
    <value/>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <qid><![CDATA[8414]]></qid>
    <attribute><![CDATA[exclude_all_others]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8414]]></qid>
    <attribute><![CDATA[exclude_all_others_auto]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8414]]></qid>
    <attribute><![CDATA[hidden]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8414]]></qid>
    <attribute><![CDATA[hide_tip]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8414]]></qid>
    <attribute><![CDATA[input_size]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8414]]></qid>
    <attribute><![CDATA[max_answers]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8414]]></qid>
    <attribute><![CDATA[min_answers]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8414]]></qid>
    <attribute><![CDATA[other_numbers_only]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8414]]></qid>
    <attribute><![CDATA[other_replace_text]]></attribute>
    <value/>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <qid><![CDATA[8414]]></qid>
    <attribute><![CDATA[page_break]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8414]]></qid>
    <attribute><![CDATA[printable_help]]></attribute>
    <value/>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <qid><![CDATA[8414]]></qid>
    <attribute><![CDATA[public_statistics]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8414]]></qid>
    <attribute><![CDATA[random_group]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8414]]></qid>
    <attribute><![CDATA[random_order]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8414]]></qid>
    <attribute><![CDATA[save_as_default]]></attribute>
    <value><![CDATA[Y]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8414]]></qid>
    <attribute><![CDATA[scale_export]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8414]]></qid>
    <attribute><![CDATA[statistics_graphtype]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8414]]></qid>
    <attribute><![CDATA[statistics_showgraph]]></attribute>
    <value><![CDATA[1]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8420]]></qid>
    <attribute><![CDATA[array_filter]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8420]]></qid>
    <attribute><![CDATA[array_filter_exclude]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8420]]></qid>
    <attribute><![CDATA[array_filter_style]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8420]]></qid>
    <attribute><![CDATA[assessment_value]]></attribute>
    <value><![CDATA[1]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8420]]></qid>
    <attribute><![CDATA[clear_default]]></attribute>
    <value><![CDATA[N]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8420]]></qid>
    <attribute><![CDATA[cssclass]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8420]]></qid>
    <attribute><![CDATA[display_columns]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8420]]></qid>
    <attribute><![CDATA[em_validation_q]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8420]]></qid>
    <attribute><![CDATA[em_validation_q_tip]]></attribute>
    <value/>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <qid><![CDATA[8420]]></qid>
    <attribute><![CDATA[exclude_all_others]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8420]]></qid>
    <attribute><![CDATA[exclude_all_others_auto]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8420]]></qid>
    <attribute><![CDATA[hidden]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8420]]></qid>
    <attribute><![CDATA[hide_tip]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8420]]></qid>
    <attribute><![CDATA[input_size]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8420]]></qid>
    <attribute><![CDATA[max_answers]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8420]]></qid>
    <attribute><![CDATA[min_answers]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8420]]></qid>
    <attribute><![CDATA[other_numbers_only]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8420]]></qid>
    <attribute><![CDATA[other_replace_text]]></attribute>
    <value/>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <qid><![CDATA[8420]]></qid>
    <attribute><![CDATA[page_break]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8420]]></qid>
    <attribute><![CDATA[printable_help]]></attribute>
    <value/>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <qid><![CDATA[8420]]></qid>
    <attribute><![CDATA[public_statistics]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8420]]></qid>
    <attribute><![CDATA[random_group]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8420]]></qid>
    <attribute><![CDATA[random_order]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8420]]></qid>
    <attribute><![CDATA[save_as_default]]></attribute>
    <value><![CDATA[N]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8420]]></qid>
    <attribute><![CDATA[scale_export]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8420]]></qid>
    <attribute><![CDATA[statistics_graphtype]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[8420]]></qid>
    <attribute><![CDATA[statistics_showgraph]]></attribute>
    <value><![CDATA[1]]></value>
    <language/>
   </row>
  </rows>
 </question_attributes>
 <surveys>
  <fields>
   <fieldname>sid</fieldname>
   <fieldname>gsid</fieldname>
   <fieldname>admin</fieldname>
   <fieldname>expires</fieldname>
   <fieldname>startdate</fieldname>
   <fieldname>adminemail</fieldname>
   <fieldname>anonymized</fieldname>
   <fieldname>faxto</fieldname>
   <fieldname>format</fieldname>
   <fieldname>savetimings</fieldname>
   <fieldname>template</fieldname>
   <fieldname>language</fieldname>
   <fieldname>additional_languages</fieldname>
   <fieldname>datestamp</fieldname>
   <fieldname>usecookie</fieldname>
   <fieldname>allowregister</fieldname>
   <fieldname>allowsave</fieldname>
   <fieldname>autonumber_start</fieldname>
   <fieldname>autoredirect</fieldname>
   <fieldname>allowprev</fieldname>
   <fieldname>printanswers</fieldname>
   <fieldname>ipaddr</fieldname>
   <fieldname>refurl</fieldname>
   <fieldname>showsurveypolicynotice</fieldname>
   <fieldname>publicstatistics</fieldname>
   <fieldname>showdatapolicybutton</fieldname>
   <fieldname>showlegalnoticebutton</fieldname>
   <fieldname>publicgraphs</fieldname>
   <fieldname>listpublic</fieldname>
   <fieldname>htmlemail</fieldname>
   <fieldname>sendconfirmation</fieldname>
   <fieldname>tokenanswerspersistence</fieldname>
   <fieldname>assessments</fieldname>
   <fieldname>usecaptcha</fieldname>
   <fieldname>usetokens</fieldname>
   <fieldname>bounce_email</fieldname>
   <fieldname>attributedescriptions</fieldname>
   <fieldname>emailresponseto</fieldname>
   <fieldname>emailnotificationto</fieldname>
   <fieldname>tokenlength</fieldname>
   <fieldname>showxquestions</fieldname>
   <fieldname>showgroupinfo</fieldname>
   <fieldname>shownoanswer</fieldname>
   <fieldname>showqnumcode</fieldname>
   <fieldname>bouncetime</fieldname>
   <fieldname>bounceprocessing</fieldname>
   <fieldname>bounceaccounttype</fieldname>
   <fieldname>bounceaccounthost</fieldname>
   <fieldname>bounceaccountpass</fieldname>
   <fieldname>bounceaccountencryption</fieldname>
   <fieldname>bounceaccountuser</fieldname>
   <fieldname>showwelcome</fieldname>
   <fieldname>showprogress</fieldname>
   <fieldname>questionindex</fieldname>
   <fieldname>navigationdelay</fieldname>
   <fieldname>nokeyboard</fieldname>
   <fieldname>alloweditaftercompletion</fieldname>
   <fieldname>googleanalyticsstyle</fieldname>
   <fieldname>googleanalyticsapikey</fieldname>
   <fieldname>tokenencryptionoptions</fieldname>
   <fieldname>ipanonymize</fieldname>
  </fields>
  <rows>
   <row>
    <sid><![CDATA[271294]]></sid>
    <gsid><![CDATA[1]]></gsid>
    <admin><![CDATA[inherit]]></admin>
    <adminemail><![CDATA[inherit]]></adminemail>
    <anonymized><![CDATA[N]]></anonymized>
    <format><![CDATA[I]]></format>
    <savetimings><![CDATA[N]]></savetimings>
    <template><![CDATA[inherit]]></template>
    <language><![CDATA[en]]></language>
    <additional_languages/>
    <datestamp><![CDATA[N]]></datestamp>
    <usecookie><![CDATA[I]]></usecookie>
    <allowregister><![CDATA[I]]></allowregister>
    <allowsave><![CDATA[I]]></allowsave>
    <autonumber_start><![CDATA[0]]></autonumber_start>
    <autoredirect><![CDATA[I]]></autoredirect>
    <allowprev><![CDATA[I]]></allowprev>
    <printanswers><![CDATA[I]]></printanswers>
    <ipaddr><![CDATA[N]]></ipaddr>
    <refurl><![CDATA[N]]></refurl>
    <showsurveypolicynotice><![CDATA[0]]></showsurveypolicynotice>
    <publicstatistics><![CDATA[I]]></publicstatistics>
    <showdatapolicybutton><![CDATA[0]]></showdatapolicybutton>
    <showlegalnoticebutton><![CDATA[0]]></showlegalnoticebutton>
    <publicgraphs><![CDATA[I]]></publicgraphs>
    <listpublic><![CDATA[I]]></listpublic>
    <htmlemail><![CDATA[I]]></htmlemail>
    <sendconfirmation><![CDATA[I]]></sendconfirmation>
    <tokenanswerspersistence><![CDATA[I]]></tokenanswerspersistence>
    <assessments><![CDATA[I]]></assessments>
    <usecaptcha><![CDATA[E]]></usecaptcha>
    <usetokens><![CDATA[N]]></usetokens>
    <bounce_email><![CDATA[inherit]]></bounce_email>
    <emailresponseto><![CDATA[inherit]]></emailresponseto>
    <emailnotificationto><![CDATA[inherit]]></emailnotificationto>
    <tokenlength><![CDATA[-1]]></tokenlength>
    <showxquestions><![CDATA[I]]></showxquestions>
    <showgroupinfo><![CDATA[I]]></showgroupinfo>
    <shownoanswer><![CDATA[I]]></shownoanswer>
    <showqnumcode><![CDATA[I]]></showqnumcode>
    <bounceprocessing><![CDATA[N]]></bounceprocessing>
    <showwelcome><![CDATA[I]]></showwelcome>
    <showprogress><![CDATA[I]]></showprogress>
    <questionindex><![CDATA[-1]]></questionindex>
    <navigationdelay><![CDATA[-1]]></navigationdelay>
    <nokeyboard><![CDATA[I]]></nokeyboard>
    <alloweditaftercompletion><![CDATA[I]]></alloweditaftercompletion>
    <tokenencryptionoptions/>
    <ipanonymize><![CDATA[N]]></ipanonymize>
   </row>
  </rows>
 </surveys>
 <surveys_languagesettings>
  <fields>
   <fieldname>surveyls_survey_id</fieldname>
   <fieldname>surveyls_language</fieldname>
   <fieldname>surveyls_title</fieldname>
   <fieldname>surveyls_description</fieldname>
   <fieldname>surveyls_welcometext</fieldname>
   <fieldname>surveyls_endtext</fieldname>
   <fieldname>surveyls_policy_notice</fieldname>
   <fieldname>surveyls_policy_error</fieldname>
   <fieldname>surveyls_policy_notice_label</fieldname>
   <fieldname>surveyls_legal_notice</fieldname>
   <fieldname>surveyls_url</fieldname>
   <fieldname>surveyls_urldescription</fieldname>
   <fieldname>surveyls_email_invite_subj</fieldname>
   <fieldname>surveyls_email_invite</fieldname>
   <fieldname>surveyls_email_remind_subj</fieldname>
   <fieldname>surveyls_email_remind</fieldname>
   <fieldname>surveyls_email_register_subj</fieldname>
   <fieldname>surveyls_email_register</fieldname>
   <fieldname>surveyls_email_confirm_subj</fieldname>
   <fieldname>surveyls_email_confirm</fieldname>
   <fieldname>surveyls_dateformat</fieldname>
   <fieldname>surveyls_attributecaptions</fieldname>
   <fieldname>email_admin_notification_subj</fieldname>
   <fieldname>email_admin_notification</fieldname>
   <fieldname>email_admin_responses_subj</fieldname>
   <fieldname>email_admin_responses</fieldname>
   <fieldname>surveyls_numberformat</fieldname>
   <fieldname>attachments</fieldname>
  </fields>
  <rows>
   <row>
    <surveyls_survey_id><![CDATA[271294]]></surveyls_survey_id>
    <surveyls_language><![CDATA[en]]></surveyls_language>
    <surveyls_title><![CDATA[sara]]></surveyls_title>
    <surveyls_description/>
    <surveyls_welcometext/>
    <surveyls_endtext/>
    <surveyls_policy_notice/>
    <surveyls_policy_notice_label/>
    <surveyls_url/>
    <surveyls_urldescription/>
    <surveyls_email_invite_subj><![CDATA[Invitation to participate in a survey]]></surveyls_email_invite_subj>
    <surveyls_email_invite><![CDATA[Dear {FIRSTNAME},

you have been invited to participate in a survey.

The survey is titled:
"{SURVEYNAME}"

"{SURVEYDESCRIPTION}"

To participate, please click on the link below.

Sincerely,

{ADMINNAME} ({ADMINEMAIL})

----------------------------------------------
Click here to do the survey:
{SURVEYURL}

If you do not want to participate in this survey and don't want to receive any more invitations please click the following link:
{OPTOUTURL}

If you are blacklisted but want to participate in this survey and want to receive invitations please click the following link:
{OPTINURL}]]></surveyls_email_invite>
    <surveyls_email_remind_subj><![CDATA[Reminder to participate in a survey]]></surveyls_email_remind_subj>
    <surveyls_email_remind><![CDATA[Dear {FIRSTNAME},

Recently we invited you to participate in a survey.

We note that you have not yet completed the survey, and wish to remind you that the survey is still available should you wish to take part.

The survey is titled:
"{SURVEYNAME}"

"{SURVEYDESCRIPTION}"

To participate, please click on the link below.

Sincerely,

{ADMINNAME} ({ADMINEMAIL})

----------------------------------------------
Click here to do the survey:
{SURVEYURL}

If you do not want to participate in this survey and don't want to receive any more invitations please click the following link:
{OPTOUTURL}]]></surveyls_email_remind>
    <surveyls_email_register_subj><![CDATA[Survey registration confirmation]]></surveyls_email_register_subj>
    <surveyls_email_register><![CDATA[Dear {FIRSTNAME},

You, or someone using your email address, have registered to participate in an online survey titled {SURVEYNAME}.

To complete this survey, click on the following URL:

{SURVEYURL}

If you have any questions about this survey, or if you did not register to participate and believe this email is in error, please contact {ADMINNAME} at {ADMINEMAIL}.]]></surveyls_email_register>
    <surveyls_email_confirm_subj><![CDATA[Confirmation of your participation in our survey]]></surveyls_email_confirm_subj>
    <surveyls_email_confirm><![CDATA[Dear {FIRSTNAME},

this email is to confirm that you have completed the survey titled {SURVEYNAME} and your response has been saved. Thank you for participating.

If you have any further questions about this email, please contact {ADMINNAME} on {ADMINEMAIL}.

Sincerely,

{ADMINNAME}]]></surveyls_email_confirm>
    <surveyls_dateformat><![CDATA[9]]></surveyls_dateformat>
    <email_admin_notification_subj><![CDATA[Response submission for survey {SURVEYNAME}]]></email_admin_notification_subj>
    <email_admin_notification><![CDATA[Hello,

A new response was submitted for your survey '{SURVEYNAME}'.

Click the following link to see the individual response:
{VIEWRESPONSEURL}

Click the following link to edit the individual response:
{EDITRESPONSEURL}

View statistics by clicking here:
{STATISTICSURL}]]></email_admin_notification>
    <email_admin_responses_subj><![CDATA[Response submission for survey {SURVEYNAME} with results]]></email_admin_responses_subj>
    <email_admin_responses><![CDATA[Hello,

A new response was submitted for your survey '{SURVEYNAME}'.

Click the following link to see the individual response:
{VIEWRESPONSEURL}

Click the following link to edit the individual response:
{EDITRESPONSEURL}

View statistics by clicking here:
{STATISTICSURL}


The following answers were given by the participant:
{ANSWERTABLE}]]></email_admin_responses>
    <surveyls_numberformat><![CDATA[0]]></surveyls_numberformat>
   </row>
  </rows>
 </surveys_languagesettings>
 <themes>
  <theme>
   <sid>271294</sid>
   <template_name>fruity</template_name>
   <config>
    <options>inherit</options>
   </config>
  </theme>
 </themes>
 <themes_inherited>
  <theme>
   <sid>271294</sid>
   <template_name>fruity</template_name>
   <config>
    <options>
     <ajaxmode>off</ajaxmode>
     <brandlogo>on</brandlogo>
     <brandlogofile>image::theme::files/logo.png</brandlogofile>
     <container>on</container>
     <backgroundimage>off</backgroundimage>
     <animatebody>off</animatebody>
     <bodyanimation>fadeInRight</bodyanimation>
     <bodyanimationduration>500</bodyanimationduration>
     <animatequestion>off</animatequestion>
     <questionanimation>flipInX</questionanimation>
     <questionanimationduration>500</questionanimationduration>
     <animatealert>off</animatealert>
     <alertanimation>shake</alertanimation>
     <alertanimationduration>500</alertanimationduration>
     <font>noto</font>
     <bodybackgroundcolor>#ffffff</bodybackgroundcolor>
     <fontcolor>#444444</fontcolor>
     <questionbackgroundcolor>#ffffff</questionbackgroundcolor>
     <questionborder>on</questionborder>
     <questioncontainershadow>on</questioncontainershadow>
     <checkicon>f00c</checkicon>
     <animatecheckbox>on</animatecheckbox>
     <checkboxanimation>rubberBand</checkboxanimation>
     <checkboxanimationduration>500</checkboxanimationduration>
     <animateradio>on</animateradio>
     <radioanimation>zoomIn</radioanimation>
     <radioanimationduration>500</radioanimationduration>
     <zebrastriping>off</zebrastriping>
     <stickymatrixheaders>off</stickymatrixheaders>
     <greyoutselected>off</greyoutselected>
     <hideprivacyinfo>off</hideprivacyinfo>
     <crosshover>off</crosshover>
     <showpopups>1</showpopups>
    </options>
   </config>
  </theme>
 </themes_inherited>
</document>
ollehar

ollehar

2021-11-18 11:20

administrator   ~67423

Can you ask this on the forum or on our Discord channel, please? It's probably not a bug.
scene143

scene143

2021-11-18 12:44

reporter   ~67424

Last edited: 2021-11-19 14:47

Already i checked on the forum they only told that this is bug ..Can you please run this survey and apply this formula and check
ollehar

ollehar

2021-11-18 12:56

administrator   ~67425

Last edited: 2021-11-19 14:47

1. Please update the description of the bug to something better
2. Can you link the forum thread, please_
jelo

jelo

2021-11-18 13:27

partner   ~67426

Last edited: 2021-11-19 14:47

View 2 revisions

@ollehar: The bug is in version 5.
https://forums.limesurvey.org/forum/development/125963-new-version-bug

Joffm was able to reproduce the issue:
https://forums.limesurvey.org/forum/development/125963-new-version-bug#222188
ollehar

ollehar

2021-11-18 13:34

administrator   ~67427

Last edited: 2021-11-19 14:47

Thanks, Jelo.
DenisChenu

DenisChenu

2021-11-18 15:05

developer   ~67428

Last edited: 2021-11-19 14:47

Usage of ", again not encoded …
ollehar

ollehar

2021-11-18 17:02

administrator   ~67439

Last edited: 2021-11-19 14:47

Regression from LS3?
DenisChenu

DenisChenu

2021-11-18 18:11

developer   ~67440

Last edited: 2021-11-19 14:47

Yes … regression from 4 too …
ollehar

ollehar

2021-11-19 11:19

administrator   ~67442

Last edited: 2021-11-19 14:47

Hm, OK. We need a test for this, then.
DenisChenu

DenisChenu

2021-11-19 14:46

developer   ~67468

Last edited: 2021-11-19 14:47

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=32986
DenisChenu

DenisChenu

2021-11-19 14:47

developer   ~67469

Last edited: 2021-11-19 14:47

Need test ?
scene143

scene143

2021-11-19 15:09

reporter   ~67471

I checked itseems formula is not working correctly ...

Q1_SQ001=='Y' OR Q2_SQ001=='Y' OR Q3_SQ001=='Y'
gabrieljenik

gabrieljenik

2021-11-25 14:43

manager   ~67573

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=32999
c_schmitz

c_schmitz

2021-12-01 09:28

administrator   ~67621

New version released

Related Changesets

LimeSurvey: master 37da642c

2021-11-19 14:46:35

DenisChenu

Details Diff
Fixed issue 17734: Unable to use quote inside relevance of subquestion
Dev: use escape('html_attr') since it's an attribute
Affected Issues
17734
mod - application/views/questionAdministration/subquestionRow.twig Diff File

LimeSurvey: master 63d6a04f

2021-11-25 14:43:40

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 17734: Relevance equation for subquestion is not saved (#2148)

* Fixed issue 17734: Relevance equation for subquestion is not saved

* Fixed issue 17734: Relevance equation for subquestion is not saved

- Added test

* Fixed issue 17734: Relevance equation for subquestion is not saved

- Fix and improve test

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>
Affected Issues
17734
add - tests/data/surveys/limesurvey_survey_425647_subquestion_relevance_edit.lss Diff File
add - tests/functional/backend/SaveSubquestionRelevanceTest.php Diff File

Issue History

Date Modified Username Field Change
2021-11-18 02:13 scene143 New Issue
2021-11-18 02:13 scene143 File Added: limesurvey_survey_271294 (1).lss
2021-11-18 11:20 ollehar Note Added: 67423
2021-11-18 11:20 ollehar Assigned To => ollehar
2021-11-18 11:20 ollehar Status new => feedback
2021-11-18 12:44 scene143 Note Added: 67424
2021-11-18 12:44 scene143 Status feedback => assigned
2021-11-18 12:56 ollehar Project Development => Bug reports
2021-11-18 12:56 ollehar Note Added: 67425
2021-11-18 13:27 jelo Note Added: 67426
2021-11-18 13:27 jelo Bug heat 4 => 6
2021-11-18 13:28 jelo Note Edited: 67426 View Revisions
2021-11-18 13:34 ollehar Note Added: 67427
2021-11-18 13:34 ollehar Product Version 3.x => 5.2.x
2021-11-18 13:34 ollehar Description Updated View Revisions
2021-11-18 13:34 ollehar Steps to Reproduce Updated View Revisions
2021-11-18 13:34 ollehar Complete LimeSurvey version number (& build) => 5.2.x
2021-11-18 15:05 DenisChenu Note Added: 67428
2021-11-18 15:05 DenisChenu Bug heat 6 => 8
2021-11-18 17:02 ollehar Note Added: 67439
2021-11-18 18:11 DenisChenu Note Added: 67440
2021-11-19 11:19 ollehar Note Added: 67442
2021-11-19 11:19 ollehar Priority none => urgent
2021-11-19 14:42 DenisChenu Assigned To ollehar => DenisChenu
2021-11-19 14:43 DenisChenu Summary Editor => Unable to use quote inside relevance of subquestion
2021-11-19 14:46 DenisChenu Changeset attached => LimeSurvey master 37da642c
2021-11-19 14:46 DenisChenu Note Added: 67468
2021-11-19 14:46 DenisChenu Resolution open => fixed
2021-11-19 14:47 DenisChenu Status assigned => resolved
2021-11-19 14:47 DenisChenu Note Added: 67469
2021-11-19 15:09 scene143 Note Added: 67471
2021-11-25 14:43 gabrieljenik Changeset attached => LimeSurvey master 63d6a04f
2021-11-25 14:43 gabrieljenik Note Added: 67573
2021-11-25 14:43 gabrieljenik Bug heat 8 => 10
2021-11-25 14:43 gabrieljenik Assigned To DenisChenu => gabrieljenik
2021-12-01 09:28 c_schmitz Note Added: 67621
2021-12-01 09:28 c_schmitz Bug heat 10 => 12
2021-12-01 09:28 c_schmitz Status resolved => closed